MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027172Open CASCADE[OCCT] OCCT:Visualizationpublic2016-02-17 17:342016-04-20 15:49
Reporterkgv 
Assigned Toabv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027172: Visualization - avoid signed integer overflow within Graphic3d_ArrayOfPrimitives
DescriptionThe following line is not OK since properties have signed integer type:
memset (myAttribs->ChangeData (0), 0, myAttribs->Stride * myAttribs->NbElements);
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024406closedapn Open CASCADE Visualization - crash on re-usage of the same primitive array 

-  Notes
(0050901)
git (administrator)
2016-02-17 17:37

Branch CR27172 has been created by kgv.

SHA-1: 5d84771a0d2420777e9b913643b81c443d7cfeb5


Detailed log of new commits:

Author: kgv
Date: Wed Feb 17 17:37:43 2016 +0300

    0027172: Visualization - avoid signed integer overflow within Graphic3d_ArrayOfPrimitives
(0050902)
kgv (developer)
2016-02-17 17:39
edited on: 2016-02-17 17:40

Please just check compilation, testing is not needed.

(0050926)
apv (tester)
2016-02-18 10:22

Dear BugMaster,

Branch CR27172 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms.
SHA-1: 5d84771a0d2420777e9b913643b81c443d7cfeb5

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 0 (0 on master)
products component:
   Linux: 36 (36 on master)
   Windows: 0 (0 on master)
(0052779)
git (administrator)
2016-04-17 12:57

Branch CR27172 has been deleted by kgv.

SHA-1: 5d84771a0d2420777e9b913643b81c443d7cfeb5

- Related Changesets
occt: master 6273fa4b
Timestamp: 2016-02-17 14:37:43
Author: abv
Committer: abv
Details ] Diff ]
0027172: Visualization - avoid signed integer overflow within Graphic3d_ArrayOfPrimitives
mod - src/Graphic3d/Graphic3d_ArrayOfPrimitives.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-02-17 17:34 kgv New Issue
2016-02-17 17:34 kgv Assigned To => kgv
2016-02-17 17:37 git Note Added: 0050901
2016-02-17 17:39 kgv Relationship added related to 0024406
2016-02-17 17:39 kgv Note Added: 0050902
2016-02-17 17:39 kgv Assigned To kgv => bugmaster
2016-02-17 17:39 kgv Status new => resolved
2016-02-17 17:39 kgv Product Version 7.0.0 => 6.8.0
2016-02-17 17:39 kgv Status resolved => reviewed
2016-02-17 17:40 kgv Note Edited: 0050902 View Revisions
2016-02-17 17:45 kgv Relationship added related to 0023419
2016-02-17 17:49 apv Assigned To bugmaster => apv
2016-02-18 10:20 apv Test case number => Not needed
2016-02-18 10:22 apv Note Added: 0050926
2016-02-18 10:22 apv Assigned To apv => bugmaster
2016-02-18 10:22 apv Status reviewed => tested
2016-02-21 08:52 abv Changeset attached => occt master 6273fa4b
2016-02-21 08:52 abv Assigned To bugmaster => abv
2016-02-21 08:52 abv Status tested => verified
2016-02-21 08:52 abv Resolution open => fixed
2016-04-17 12:57 git Note Added: 0052779
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker